export const getBaseUrl = (req) => `${req.protocol}://${req.get('host')}`;

export const isXhr = (req) => {
  const is = req.xhr;
  if (!is) {
    for (let i = 0; i < req.rawHeaders.length; i += 1) {
      if (req.rawHeaders[i].indexOf('application/json') !== -1) {
        return true;
      }
    }
  }

  return is;
};
